Generate report
curl --request POST \
--url https://api.ecomailhub.younegotiate.com/generate-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_type": "notice_responses",
"start_date": "2026-01-01",
"end_date": "2026-01-31"
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/generate-reports"
payload = {
"report_type": "notice_responses",
"start_date": "2026-01-01",
"end_date": "2026-01-31"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_type: 'notice_responses',
start_date: '2026-01-01',
end_date: '2026-01-31'
})
};
fetch('https://api.ecomailhub.younegotiate.com/generate-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"\"Consumer First Name\",\"Consumer Last Name\",\"SSN\",\"DOB\",\"Consumer Address 1\",\"Consumer Address 2\",\"Consumer City\",\"Consumer State\",\"Consumer Zip\",\"Consumer Communication Profile Email\",\"Consumer Communication Profile Phone\",\"Consumer Response Date\",\"Account Name\",\"Original Account#\",\"Balance\",\"Offer Type\",\"Company Name\",\"Company Address 1\",\"Company Address 2\",\"Company City\",\"Company State\",\"Company Zip\",\"Company Phone\",\"Company URL\",\"Company Email\",\"Company Profile Status\",\"Notice Status\",\"Creditor Response Status\",\"Company Contact 1 First Name\",\"Company Contact 1 Last Name\",\"Company Contact 1 Email\",\"Company Contact 1 Phone\",\"Company Contact 2 First Name\",\"Company Contact 2 Last Name\",\"Company Contact 2 Email\",\"Company Contact 2 Phone\",\"Company Contact 3 First Name\",\"Company Contact 3 Last Name\",\"Company Contact 3 Email\",\"Company Contact 3 Phone\"\nDonna,Weaver,3332,\"Jan 12, 1969\",\"99 Consumer Ave\",\"Unit B\",Miami,FL,33101,donna@example.test,\"(555) 333-2222\",\"Jan 03, 2026\",\"Sadguru Shopping Center\",5678-2222,$651.13,2,\"Prospect Sender\",\"200 Prospect Rd\",\"Floor 2\",Denver,CO,80202,\"(555) 987-6543\",https://prospect.example.test,profile@prospect.example.test,\"Yn Prospect\",Pending,Pending,Carl,Contact,carl@prospect.example.test,\"(555) 444-5555\",,,,,,,,\n"{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Generate report
Generate a one-time EcoMail Hub CSV report for creditor profiles, notice responses, or consumer profiles. Empty reports return a validation error instead of a blank CSV.
POST
/
generate-reports
Generate report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
creditor_profiles, notice_responses, consumer_profiles Inclusive report start date. Must not be in the future.
Example:
"2026-01-01"
Inclusive report end date. Must be on or after start_date, not in the future, and within two months of start_date.
Example:
"2026-01-31"
Response
Report CSV returned.
The response is of type string.
Last modified on July 19, 2026
Was this page helpful?
⌘I

